/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<chatbarmessagecontentmodel.h>)
#  include <chatbarmessagecontentmodel.h>
#endif
#if __has_include(<contentprovider.h>)
#  include <contentprovider.h>
#endif
#if __has_include(<eventmessagecontentmodel.h>)
#  include <eventmessagecontentmodel.h>
#endif
#if __has_include(<linemodel.h>)
#  include <linemodel.h>
#endif
#if __has_include(<mediasizehelper.h>)
#  include <mediasizehelper.h>
#endif
#if __has_include(<messagecontentmodel.h>)
#  include <messagecontentmodel.h>
#endif
#if __has_include(<threadmodel.h>)
#  include <threadmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_messagecontent()
{
    qmlRegisterModule("org.kde.neochat.messagecontent", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<ChatBarMessageContentModel>("org.kde.neochat.messagecontent", 254);
    qmlRegisterTypesAndRevisions<ContentProvider>("org.kde.neochat.messagecontent", 254);
    qmlRegisterTypesAndRevisions<EventMessageContentModel>("org.kde.neochat.messagecontent", 254);
    qmlRegisterEnum<EventMessageContentModel::MessageState>("EventMessageContentModel::MessageState");
    qmlRegisterTypesAndRevisions<LineModel>("org.kde.neochat.messagecontent", 254);
    qmlRegisterEnum<LineModel::Roles>("LineModel::Roles");
    qmlRegisterTypesAndRevisions<MediaSizeHelper>("org.kde.neochat.messagecontent", 254);
    qmlRegisterTypesAndRevisions<MessageContentModel>("org.kde.neochat.messagecontent", 254);
    qmlRegisterEnum<MessageContentModel::Roles>("MessageContentModel::Roles");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QConcatenateTablesProxyModel *>().id();
    qmlRegisterTypesAndRevisions<ThreadModel>("org.kde.neochat.messagecontent", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.messagecontent", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatmessagecontentRegistration("org.kde.neochat.messagecontent", qml_register_types_org_kde_neochat_messagecontent);
